DCMTK: DRTMACParametersSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTMACParametersSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTMACParametersSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getDataElementsSigned (OFString &value, const signed long pos=0) const
| get DataElementsSigned (0400,0020)
OFCondition | getMACAlgorithm (OFString &value, const signed long pos=0) const
| get MACAlgorithm (0400,0015)
OFCondition | getMACCalculationTransferSyntaxUID (OFString &value, const signed long pos=0) const
| get MACCalculationTransferSyntaxUID (0400,0010)
OFCondition | getMACIDNumber (Uint16 &value, const unsigned long pos=0) const
| get MACIDNumber (0400,0005)
OFCondition | setDataElementsSigned (const OFString &value, const OFBool check=OFTrue)
| set DataElementsSigned (0400,0020)
OFCondition | setMACAlgorithm (const OFString &value, const OFBool check=OFTrue)
| set MACAlgorithm (0400,0015)
OFCondition | setMACCalculationTransferSyntaxUID (const OFString &value, const OFBool check=OFTrue)
| set MACCalculationTransferSyntaxUID (0400,0010)
OFCondition | setMACIDNumber (const Uint16 value, const unsigned long pos=0)
| set MACIDNumber (0400,0005)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmAttributeTag | DataElementsSigned
| DataElementsSigned (0400,0020) vr=AT, vm=1-n, type=1.
DcmCodeString | MACAlgorithm
| MACAlgorithm (0400,0015) vr=CS, vm=1, type=1.
DcmUniqueIdentifier | MACCalculationTransferSyntaxUID
| MACCalculationTransferSyntaxUID (0400,0010) vr=UI, vm=1, type=1.
DcmUnsignedShort | MACIDNumber
| MACIDNumber (0400,0005) vr=US, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTMACParametersSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTMACParametersSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getDataElementsSigned()

OFCondition DRTMACParametersSequence::Item::getDataElementsSigned | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DataElementsSigned (0400,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMACAlgorithm()

OFCondition DRTMACParametersSequence::Item::getMACAlgorithm | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MACAlgorithm (0400,0015)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMACCalculationTransferSyntaxUID()

OFCondition DRTMACParametersSequence::Item::getMACCalculationTransferSyntaxUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MACCalculationTransferSyntaxUID (0400,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMACIDNumber()

OFCondition DRTMACParametersSequence::Item::getMACIDNumber | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get MACIDNumber (0400,0005)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTMACParametersSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTMACParametersSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTMACParametersSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTMACParametersSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDataElementsSigned()

OFCondition DRTMACParametersSequence::Item::setDataElementsSigned | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DataElementsSigned (0400,0020)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (AT) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMACAlgorithm()

OFCondition DRTMACParametersSequence::Item::setMACAlgorithm | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MACAlgorithm (0400,0015)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMACCalculationTransferSyntaxUID()

OFCondition DRTMACParametersSequence::Item::setMACCalculationTransferSyntaxUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MACCalculationTransferSyntaxUID (0400,0010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMACIDNumber()

OFCondition DRTMACParametersSequence::Item::setMACIDNumber | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set MACIDNumber (0400,0005)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTMACParametersSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtmps.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2